Bug 216681 - new kickstart keyword 'user' doesn't create the home of users
new kickstart keyword 'user' doesn't create the home of users
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-21 10:08 EST by stef
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-27 10:59:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description stef 2006-11-21 10:08:17 EST
Description of problem:

I want to use the new kickstart keyword 'user' to create local users, but doing
so the newly created users doesn't have their home created.

I use these kind of lines :

user --name=prof --groups=500 --homedir=/home/prof --uid=500
--password=wMi8V*****6s --iscrypted

How reproducible:
Always

Steps to Reproduce:
1.create users entry in kickstart
2.install your FC6
3.the users exists but doesn't have a home
  
Actual results:
users exists (in /etc/passwd and /etc/shadow) but doesn't have their home
directories

Expected results:
users created with home, ready to use
Comment 1 Chris Lumens 2006-11-27 10:59:51 EST
I learn something new about the standard python library all the time.  This will
be fixed in the next build of anaconda in Rawhide.  As a workaround, you can
just add the mkdir call to a %post script.

Note You need to log in before you can comment on or make changes to this bug.